/***************************************************************************

    M.A.M.E.32  -  Multiple Arcade Machine Emulator for Win32
    Win32 Portions Copyright (C) 1997-98 Michael Soderstrom and Chris Kirmse
    
    This file is part of MAME32, and may only be used, modified and
    distributed under the terms of the MAME license, in "readme.txt".
    By continuing to use, modify or distribute this file you indicate
    that you have read the license and understand and accept it fully.

 ***************************************************************************/

#ifndef TICKER_H
#define TICKER_H

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include "config.h"

typedef LONGLONG TICKER;

extern LONGLONG TICKS_PER_SEC;

extern int          ticker_init(options_type *os_options);
extern int          ticker_exit(void);
extern TICKER       ticker(void);

#ifdef KAILLERA
struct KCLOCK
{
	TICKER integer;
	unsigned int decimal;
};

extern TICKER KailleraWaitSubTick;
extern TICKER KailleraAdder;
extern TICKER KailleraWaitTick;
extern TICKER	KailleraMaxWait;
extern struct KCLOCK	Kailleraclock;

extern void         addTick(TICKER a);
#endif /* KAILLERA */

#endif
